Loading...
Searching...
No Matches
dolfin::MeshPartitioning Class Reference

`#include <MeshPartitioning.h>`

## Static Public Member Functions

static void | build_distributed_mesh (Mesh &mesh)
| Build a distributed mesh from a local mesh on process 0.
static void | build_distributed_mesh (Mesh &mesh, const std::vector< int > &cell_partition, const std::string ghost_mode)
static void | build_distributed_mesh (Mesh &mesh, const LocalMeshData &data, const std::string ghost_mode)
template<typename T>
static void | build_distributed_value_collection (MeshValueCollection< T > &values, const LocalMeshValueCollection< T > &local_data, const Mesh &mesh)
| Build a MeshValueCollection based on LocalMeshValueCollection.

## Detailed Description

This class partitions and distributes a mesh based on partitioned local mesh data.The local mesh data will also be repartitioned and redistributed during the computation of the mesh partitioning.

After partitioning, each process has a local mesh and some data that couples the meshes together.

## Member Function Documentation

## build_distributed_mesh() [1/2]

void MeshPartitioning::build_distributed_mesh | ( | Mesh & | mesh,
|  | const LocalMeshData & | data,
|  | const std::string | ghost_mode )

static

Build a distributed mesh from 'local mesh data' that is distributed across processes

## build_distributed_mesh() [2/2]

void MeshPartitioning::build_distributed_mesh | ( | Mesh & | mesh,
|  | const std::vector< int > & | cell_partition,
|  | const std::string | ghost_mode )

static

Build a distributed mesh from a local mesh on process 0, with distribution of cells supplied (destination processes for each cell)

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshPartitioning.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshPartitioning.cpp